LibreOffice: AuthenticationRequest Exception Reference

LibreOffice LibreOffice 25.8 SDK API Reference

Loading...
Searching...
No Matches
AuthenticationRequest Exception Referencepublished

An error specifying lack of correct authentication data (e.g., to log into an account). More...

`import "AuthenticationRequest.idl";`

Inheritance diagram for AuthenticationRequest:

## Public Attributes
string | ServerName
| The name of the server (if applicable).
string | Diagnostic
| Any diagnostic message about the failure to log in (if applicable; it will typically be an English phrase or sentence).
boolean | HasRealm
| Specifies if the authentication involves a "realm" (as can be the case for HTTP).
string | Realm
| Any already specified realm.
boolean | HasUserName
| Specifies if the authentication involves a "user name" (as is almost always the case).
string | UserName
| Any already specified user name.
boolean | HasPassword
| Specifies if the authentication involves a "password" (as is almost always the case).
string | Password
| Any already specified password.
boolean | HasAccount
| Specifies if the authentication involves an "account" (as can be the case for FTP).
string | Account
| Any already specified account.
Public Attributes inherited from ClassifiedInteractionRequest
com::sun::star::task::InteractionClassification | Classification
| The classification of the request.
Public Attributes inherited from Exception
string | Message
| gives a detailed description of the reason, why the exception was thrown.
com::sun::star::uno::XInterface | Context
| should contain a reference to the original, which raised the exception.

## Detailed Description

An error specifying lack of correct authentication data (e.g., to log into an account).

## Member Data Documentation

## ◆ Account

string Account

Any already specified account.

If HasAccount is false, this member should be ignored.

## ◆ Diagnostic

string Diagnostic

Any diagnostic message about the failure to log in (if applicable; it will typically be an English phrase or sentence).

## ◆ HasAccount

boolean HasAccount

Specifies if the authentication involves an "account" (as can be the case for FTP).

## ◆ HasPassword

boolean HasPassword

Specifies if the authentication involves a "password" (as is almost always the case).

## ◆ HasRealm

boolean HasRealm

Specifies if the authentication involves a "realm" (as can be the case for HTTP).

## ◆ HasUserName

boolean HasUserName

Specifies if the authentication involves a "user name" (as is almost always the case).

## ◆ Password

string Password

Any already specified password.

If HasPassword is false, this member should be ignored.

## ◆ Realm

string Realm

Any already specified realm.

If HasRealm is false, this member should be ignored.

## ◆ ServerName

string ServerName

The name of the server (if applicable).

## ◆ UserName

string UserName

Any already specified user name.

If HasUserName is false, this member should be ignored.

The documentation for this exception was generated from the following file:

- com/sun/star/ucb/AuthenticationRequest.idl